Subject: bug#4817: unclear value type of select-safe-coding-system-accept-default-p

From: Norbert Eisinger <[email-masked]>
Date: Sat, 31 Oct 2009 19:08:19 +0100

Glenn Morris wrote:
> 
> C-h v select-safe-coding-system-accept-default-p makes it pretty clear
> to me:
> 
>    If non-nil, a function to control the behavior of coding system
>    selection. The meaning is the same as the argument ACCEPT-DEFAULT-P of
>    the function `select-safe-coding-system' (which see). This variable
>    overrides that argument.

Yes, this is much clearer than the text in the Reference Manual.
Maybe something like this could be added to the Reference Manual
to say explicitly that the variable's value is a function?

>> (custom-set-variables
>>  ;; ...
>>  '(select-safe-coding-system-accept-default-p
>>     (function (lambda (coding-system) nil)))
>> )
> 
> This would make sense, meaning "always reject the automatically
> selected coding system", and prompt the user instead.

Good, that's exactly what I wanted to achieve.

> The example that makes sense works for me.
> 
> If you still have a problem, please provide more details on exactly
> what you are doing.

I suggest to close this issue here because I am discussing related
problems in a different thread (bug#4816). I reported bug#4817
separately because I considered it a mere documentation issue.

Thanks for explaining select-safe-coding-system-accept-default-p,
your explanations answered my questions much better than the
documentation did.

Norbert